> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Senders

> Use this API to return an array of all your active and verified sender email addresses with sender name and reply-to email. You can filter, search and sort senders.



## OpenAPI

````yaml /openapi-v1.json post /senders/search
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /senders/search:
    post:
      tags:
        - Senders
      summary: List Senders
      description: >-
        Use this API to return an array of all your active and verified sender
        email addresses with sender name and reply-to email. You can filter,
        search and sort senders.
      operationId: get-all-senders-and-search-senders
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                limit:
                  type: number
                  description: |-
                    Maximum number of elements to return.

                    Maximum: 100
                    Minimum: 10
                  minimum: 10
                  maximum: 100
                page:
                  type: number
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.


                    Starts From: 1
                  minimum: 1
                search:
                  type: string
                  maxLength: 255
                  description: Filter senders by email or name. Partial match is supported.
                sort_field:
                  type: string
                  description: >-
                    Sort sender data based on this field.


                    Available sort fields: sender_email, sender_name,
                    created_date
                sort_order:
                  type: string
                  description: |-
                    Sorting order for sort field.

                    Available sort orders: asc, ASC, desc, DESC
              required:
                - limit
                - page
            examples:
              example-1:
                value:
                  limit: 10
                  page: 1
                  search: marketing
                  sort_field: sender_email
                  sort_order: asc
              example-2:
                value:
                  limit: 20
                  page: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of senders matching the search criteria
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        sender_email:
                          type: string
                          description: Sender email address
                        sender_name:
                          type: string
                          description: Display name of the sender
                        createdDate:
                          type: string
                          description: Creation date of the sender record
                        status:
                          type: string
                          description: 'Sender status. Values: Verified, Pending'
              examples:
                example-1:
                  value:
                    count: 2
                    data:
                      - id: hXUA
                        sender_email: sender1@example.com
                        sender_name: Marketing Team
                        createdDate: '2025-01-01 10:00:00'
                        status: Verified
                      - id: YxGF
                        sender_email: support@example.com
                        sender_name: Support
                        createdDate: '2025-01-02 10:00:00'
                        status: Verified
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          minLength: 1
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: sort_field
                        message: Invalid sort_field
                example-2:
                  value:
                    errors:
                      - field: sort_order
                        message: Invalid sort_order
                example-3:
                  value:
                    errors:
                      - field: limit
                        message: limit must be at least 10
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````